<template>
<div class="container">
  <h4>{{movie.original_title}}</h4>
  <div class="row ">
    <div class="col s2 m1"></div>
    <div class="col s8 m5">
      <div class="card z-depth-3" id="movie">
        <div class="card-image">
          <img class="materialboxed" alt="" :src="src+movie.poster_path">
        </div>
        <div class="card-content center">
          <label>Puntuación</label><br>
          <a class="btn-floating btn-small waves-effect waves-light blue">
            <i class="material-icons left">star</i>
          </a>
        </div>
      </div>
    </div>
    <div class="col s12 m5">
      <h5 v-show="movie.overview">Sinópsis</h5>
      <p class="texto" v-show="movie.overview">{{movie.overview}}</p>

      <h5>Fecha de Lanzamiento</h5>
      <span><br>
        <i class="material-icons prefix">check</i>
        {{movie.release_date | converDate}}
      </span>

      <h5>Género</h5>
      <span v-for="gens in movie.genres"><br>
        <i class="material-icons prefix">check</i>
        {{gens.name}}
      </span>
    </div>
  </div>
  <div class="row">
    <div class="col s12 m12 center-align">
      <router-link :to="{name:'movie'}" class="btn lime darken-4">
        Regresar
      </router-link>
    </div>
  </div>
</div>
</template>
<script>
import axios from 'axios';
const API_KEY = '64d3b4ea4aba69ef82011e7ba6318123';
const BASE = 'https://api.themoviedb.org/3';
import moment from 'moment';

export default {
  name: 'DetailsMovie',
  props: {
    id: {
      type: Number,
      required: true
    }
  },
  data() {
    return {
      movie: {},
      src: 'https://image.tmdb.org/t/p/w185_and_h278_bestv2',
      dateformat: null
    }
  },
  filters: {
    converDate(date) {
      return moment(date).locale('es-sv').format('dddd Do MMMM, YYYY');
    }
  },
  methods: {
    getMovie() {
      const URLAPI = `${BASE}/movie/${this.$route.params.id}?api_key=${API_KEY}&language=es-sv`;
      axios
        .get(URLAPI)
        .then(response => {
          this.movie = response.data;
        })
        .catch(error => console.log(error))
    }
  },
  mounted() {
    this.getMovie();
  },
}
</script>

<style>
/*
.texto {
  width: 100%;
  height: auto;
}

.container-fluid {
  padding-left: 5rem;
}
*/
.texto {
  text-align: justify;
}

#movie {
  margin-left: auto;
  margin-right: auto;
  width: auto;
  height: auto;
}
</style>
